Package com.avaya.core

## Interface ConversationViewDelegate

- All Known Implementing Classes:
    `ConversationViewDelegateAdapter`

      public interface ConversationViewDelegate

  Delegate for events related to the conversation view.

  Creating a delegate is optional, and may be used to receive callbacks when certain events happen in the conversation view.

  Callbacks are guaranteed to be called from the main thread.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCreateConversationClick()` | Called when a new conversation is selected
    `void` | `onRequestPermissionsCalled​(java.lang.String[] permissions)` | Notifies the delegate that permissions for this app have been requested
    `void` | `onStartActivityCalled​(android.content.Intent intent)` | Notifies the delegate that a call to start an activity has been made
    `boolean` | `shouldCreateCustomConversationFlow()` | Notifies the ConverstationListActivity that the conversation activity create intent should be sent to the interceptor

- - ### Method Detail

    - #### onStartActivityCalled

          void onStartActivityCalled​(android.content.Intent intent)

      Notifies the delegate that a call to start an activity has been made
      Parameters:
        `intent` - A copy of the description of the activity that will start

    - #### onRequestPermissionsCalled

          void onRequestPermissionsCalled​(java.lang.String[] permissions)

      Notifies the delegate that permissions for this app have been requested
      Parameters:
        `permissions` - The list of permissions requested

    - #### shouldCreateCustomConversationFlow

          boolean shouldCreateCustomConversationFlow()

      Notifies the ConverstationListActivity that the conversation activity create intent should be sent to the interceptor
      Returns:
        true if you want to intercept the conversation activity create intent

    - #### onCreateConversationClick

          void onCreateConversationClick()

      Called when a new conversation is selected